You can help us in the development of the project on the website: https://linux-gaming.ru/donate/
----------------------------------------
Changelog:

###Scripts version 2385### / stable / Date: 29.12.2024 / Download update size: 195 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2384### / Date: 29.12.2024 / Download update size: 12 megabytes
* improved launch of shortcuts for games from Epic Games Launcher (thanks for the help Htylol)
* updated versions:
    * DXVK_GIT "2.5.2-1" (shared with dxvk-nvapi)
    * VKD3D_GIT "1.1-4326" (shared with vkd3d-shader)
* ATTENTION! Due to problems with access to the steamgriddb website, downloading of covers is temporarily disabled when creating shortcuts for the Steam library

###Scripts version 2383### / Date: 22.12.2024 / Download update size: 4 megabytes
* added automatic creation of shortcuts for games from Epic Games Launcher (thanks alex2844)

###Scripts version 2382### / Date: 22.12.2024 / Download update size: 270 megabytes
* updated versions:
    * DXVK_GIT "2.5.1-35" (shared with dxvk-nvapi)
    * VKD3D_GIT "1.1-4325" (shared with vkd3d-shader)
* fixed icon error when there are symbols in the example as in osu!.exe (thanks to Htylol and if984)
* fixed error in providing an icon from .bat for .exe file when changing the shortcut (thanks to Htylol)
* fix reinstalling PortProton using --reinstall argument (thanks Boria138)
* improved video card checking function (thanks to Htylol)
* Vulkan driver selection has been returned for AMD video cards (thanks to Boria138)

###Scripts version 2381### / Date: 01.12.2024 / Download update size: 180 megabytes
* updated plugins v18 package
    * gallium nine v0.10
    * removed unnecessary libraries
* removed white frame when loading PortProton in SteamDeck game mode
* updated cover download scripts for Steam (thanks alex2844)
* added the ability to launch windows shortcuts (thanks alex2844)
* fixed exit from PortProton when using GUI_DISABLED_CS (thanks zorn-v)
* added tooltips for launchers and emulators in the AUTO INSTALLATION tab (thanks if984)
* fixed the login window in GOG on NVIDIA video cards (thanks to Boria138)

###Scripts version 2380### / stable / Date: 17.11.2024 / Download update size: 4 megabytes
* fixed unpacking of prefixes from backups (thanks to Htylol)

###Scripts version 2379### / stable / Date: 15.11.2024 / Download update size: 4 megabytes
* HOTFIX - fix for problems related to the lack of sound (pulse by default)

###Scripts version 2378### / stable / Date: 15.11.2024 / Download update size: 4 megabytes
* minor adjustments to the stable version of PortProton scripts

###Scripts version 2377### / stable / Date: 15.11.2024 / Download update size: 220 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2376### / Date: 14.11.2024 / Download update size: 4 megabytes
* fixed function for changing global settings (thanks to Htylol)

###Scripts version 2375### / Date: 14.11.2024 / Download update size: 4 megabytes
* HOTFIX - fixed long launch on Alt p10 after updating scripts 2371 (thanks to Htylol)

###Scripts version 2374### / Date: 12.11.2024 / Download update size: 4 megabytes
* added support for DLSS 3 for NVIDIA RTX 40XX
* fixed gamescope (thanks to Htylol)
* general optimization of scripts (thanks to Htylol)

###Scripts version 2373### / Date: 10.11.2024 / Download update size: 215 megabytes
* updated PROTON_LG to version "9-19"
* updated versions:
    * DXVK_GIT "2.4.1-446" (shared with dxvk-nvapi)
    * VKD3D_GIT "1.1-4271" (shared with vkd3d-shader)
* fixed the work of the Black Desert Online game with the latest versions of dxvk and vkd3d

###Scripts version 2372### / Date: 09.11.2024 / Download update size: 4 megabytes
* many script optimizations (thanks to Htylol)
*reduced recommended scaling
* added/updated settings files for games:
    * NieR Automata (thanks to AlbiionDragon)
    * GTA 4 (thanks to eljeyna and PORTWAINE)
    * Mortal Kombat XL (thanks Mels)
    * Red Dead Redemption (thanks SDR)
* fixed Plarium Play installation (thanks to A_V_Ilin)

###Scripts version 2371### / Date: 08.11.2024 / Download update size: 4 megabytes
* added auto-detection of application scaling, with the ability to change it in the global PP settings (thanks to Htylol)
* FUTEX2 is disabled by default (breaks some games)
* added auto-installation of the Saturn game (thanks to Dervart)
* added the ability to select a dark/light theme in the global PP settings (thanks to Htylol)
* significantly improved functions (thanks to Htylol):
    * registry editor
    * determining the extension of the launched file
    * check desktop files
    * gamescope settings
* added cursor scale setting for gamescope (thanks to Htylol)

###Scripts version 2370### / Date: 01.11.2024 / Download update size: 215 megabytes
* updated PROTON_LG to version "9-18"
* updated versions:
    * DXVK_GIT "2.4.1-393" (shared with dxvk-nvapi)
    * VKD3D_GIT "1.1-4240" (shared with vkd3d-shader)
* improved function of adding shortcuts to steam (thanks alex2844)
* updated --help argument for CLI and added translations (thanks to Htylol)
* added the ability to change interface scaling in running applications (thanks to Htylol)

###Scripts version 2369### / Date: 31.10.2024 / Download update size: 4 megabytes
* added automatic installation of games (thanks to Chal55rus):
    * Chicken Invaders Universe
    * Eldevin
    * The World of Nifty Craft
    * Toribash
* improved performance of the time spent in the game counter (thanks to Htylol)
* fixed prefix backups for systems with SELinux (thanks to Htylol and Alek)
* updated CLI and added arguments: --launch, --edit-db (thanks to Htylol)
* many other improvements and script optimizations

###Scripts version 2368### / Date: 27.10.2024 / Download update size: 4 megabytes
* added automatic installation of games (thanks to Chal55rus):
    * Goose Goose Duck
    * Miniworld
    * Toontown Rewritten
* added disabling sleep mode during the game if gamemode is not used (thanks to Boria138)
* fixes and optimization of the interface in the Prefix Manager (thanks to Htylol)
* added the ability to change all shortcuts from the PortProton interface (thanks to Htylol)
* fixed reset of the time spent in the game counter when moving the game to another directory, or deleting the shortcut (thanks to Htylol)
* improved function for downloading covers when adding a game to the STEAM library (thanks to Boria138)

###Scripts version 2367### / Date: 25.10.2024 / Download update size: 4 megabytes
* fixed the use of gamemode in the native version of PortProton
* continued improvement of the functionality for creating labels and comments (thanks to Htylol)
* added auto-installation "Elsword" (thanks Chal55rus)

###Scripts version 2366### / Date: 24.10.2024 / Download update size: 4 megabytes
* auto-installation of "CatsLauncher" was removed due to the move of the game "Front Edge" to "vkPlay"
* updated version of the tray menu (thanks to Htylol)
* improved title detection functionality for creating shortcuts (thanks to Htylol)
* updated Spanish language (thanks Boria138)
* improved and optimized cover download function for Steam (thanks to Boria138)

###Scripts version 2365### / Date: 23.10.2024 / Download update size: 4 megabytes
* added translations for using system wine and downloading other versions of wine (thanks to Htylol)
* improved title detection functionality for creating shortcuts (thanks to Htylol)
* added check for duplicate shortcuts (thanks to Htylol)
* added ZINK support for NVK (thanks to Htylol)
* added automatic installation of games (thanks to Chal55rus):
    * Broken Ranks
    * DC Universe Online
    * The Lord of the Rings Online
* fixed link in the text when creating a log

###Scripts version 2364### / Date: 19.10.2024 / Download update size: 215 megabytes
* updated PROTON_LG to version "9-16"
* updated versions:
    * DXVK_GIT "2.4.1-194" (shared with dxvk-nvapi)
    * VKD3D_GIT "1.1-4240" (shared with vkd3d-shader)
* added auto-installation "Age of Empires Online" (thanks to Chal55rus)
* added disabling gamemode if ananicy is used (thanks Boria138)
* adopted improvements from Htylol (thanks): 
    * items containing: “disabled/enabled” have been translated in all settings
    * updated version of "YAD" - graphical interface
    * fixed winecmd in flatpak
    * other improvements and script optimizations
    * added PW_MESA_VK_WSI_PRESENT_MODE variable to the main settings (forced vertical sync on and off)
    * updated list of OpenGL versions for MESA_GL_VERSION_OVERRIDE setting
* ESYNC is enabled with FSYNC by default, provided that "ulimit -Hn" is greater than or equal to "524288"

###Scripts version 2363### / Date: 14.10.2024 / Download update size: 4 megabytes
* adopted improvements from Htylol (many thanks): 
    * updated version of the tray menu
    * added a counter for time spent in the game (can be enabled in global settings)
    * frequently launched games are moved to the top of the games list (can be disabled in global settings)
    * other fixes and interface optimizations
    * translations updated
* added automatic installation of games (thanks to Chal55rus):
    * Exotanks
    * Tanki Online
    * Albion Online

###Scripts version 2362### / Date: 04.10.2024 / Download update size: 4 megabytes
* added animation for loading games in game mode on the Steam Deck
* added auto-generation of the auto-installation tab (when adding new applications, you no longer need to change the start.sh script)
* added a minimal check for the correctness of writing scripts for auto-installing applications 
* updated all auto installation scripts (thanks to Htylol)
* updated version of "YAD" - graphical interface (thanks to Htylol)

###Scripts version 2361### / Date: 02.10.2024 / Download update size: 4 megabytes
* added auto-installation "Rise of Flight" (thanks to Chal55rus)
* added auto-installation of "Arizona Games Launcher" (thanks to Chal55rus)
* improved script update function (thanks to Htylol)

###Scripts version 2360### / stable / Date: 30.09.2024 / Download update size: 4 megabytes
* HOTFIX: fixed flatpak detection on some systems (thanks to Htylol)

###Scripts version 2359### / stable / Date: 30.09.2024 / Download update size: 220 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2358### / Date: 30.09.2024 / Download update size: 4 megabytes
* added for game mode on Steam Deck:
    * possibility to update PortProton
    * displaying the process of downloading and unpacking all PortProton packages
* added auto-installation "Lost Light" (thanks Chal55rus)
* added auto-installation "GameXP" (thanks Chal55rus)

###Scripts version 2357### / Date: 29.09.2024 / Download update size: 220 megabytes
* updated PROTON_LG to version "9-15"
* updated versions:
    * DXVK_GIT "2.4.1-74"
    * VKD3D_GIT "1.1-4202"
* added auto-installation "Star Conflict" (thanks to Chal55rus)
* added auto-installation "Blood and Soul" (thanks to Chal55rus)
* updated auto-installation "World of Sea Battle" (thanks valokardin)
* for "World of Sea Battle" language switching in the game has been fixed and the "DOTNET" prefix is ​​no longer required
* fixed determination of the selection of settings files when the exe file is a symbolic link
* added returns to the main menu after canceling the reinstallation/uninstallation of PP, clearing the prefix and uninstalling programs (thanks to Htylol)
* fixed launch of games/programs when using disabling the graphical interface (GUI_DISABLED_CS)

###Scripts version 2356### / stable / Date: 28.09.2024 / Download update size: 4 megabytes
* fixed work in steam and ingame

###Scripts version 2355### / stable / Date: 28.09.2024 / Download update size: 385 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2354### / Date: 28.09.2024 / Download update size: 4 megabytes
* added return to PortProton menu after using winecfg, winereg, winecmd, winefile (thanks Htylol)

###Scripts version 2353### / Date: 27.09.2024 / Download update size: 4 megabytes
* optimized auto-installation functions for all games/launchers
* accelerated initial launch of PortProton (thanks to Htylol)
* auto-installation of the "CITRA" emulator has been removed
* updated auto-installation of the "CEMU" emulator
* installation of the game "Secret World Legends (ENG)" has been returned
* fixed and updated auto-installation of the "OSU!"
* improved function for downloading third-party versions of WINE
* added settings files for games (thanks Mels):
    * LEGO Star Wars: The Skywalker Saga
    * God of War Ragnarok

###Scripts version 2352### / Date: 26.09.2024 / Download update size: 4 megabytes
* added auto-installation of the game "Farlight 84" (thanks to Chal55rus)
* continued optimization of PortProton functions together with Htylol

###Scripts version 2351### / Date: 25.09.2024 / Download update size: 180 megabytes
* updated container library package: libs_v52
* even more optimizations for window switching responsiveness (thanks to Htylol)
* improved logic for updating scripts (thanks to Htylol)

###Scripts version 2350### / Date: 24.09.2024 / Download update size: 15 megabytes
* updated versions:
    * DXVK_GIT "2.4-94"
    * VKD3D_GIT "1.1-4191"
* added a translation cache, which greatly improves the responsiveness
of the interface (thanks to Htylol)
* fixed launching shortcuts from special. symbols in the title (thanks to Htylol)
* limited number of characters for shortcut names in the "installed" tab (fixes overly wide menu) (thanks to Htylol)
* disabled decoration for HoYoPlay launcher (fixes window capacity) (thanks to Boria138)
* Crossout installation has been moved to a separate prefix and decoration for the launcher has been disabled (corrects the capacity in the window)

###Scripts version 2349### / Date: 18.09.2024 / Download update size: 4 megabytes
* fixed video driver path forwarding for future versions of ALT Linux (p11)

###Scripts version 2348### / Date: 17.09.2024 / Download update size: 4 megabytes
* updated versions:
    * DXVK_GIT "2.4-41"
    * VKD3D_GIT "1.1-4110"

###Scripts version 2347### / Date: 16.09.2024 / Download update size: 4 megabytes
* added PW_NO_AUTO_CREATE_SHORTCUT variable to exclude automatic shortcut creation
* added the ability to reset global user.conf settings (thanks to Htylol)
* improved function for checking script updates (thanks to Htylol)
* added CLI argument: "--update" to force checking for updates

###Scripts version 2346### / Date: 14.09.2024 / Download update size: 4 megabytes
* Fixed bug with long wait for updates

###Scripts version 2345### / Date: 14.09.2024 / Download update size: 4 megabytes
* fixed automatic closing of the tray after using AUTOINSTALL
* faster startup when it is not possible to check for updates

###Scripts version 2344### / Date: 13.09.2024 / Download update size: 4 megabytes
* many thanks to Htylol for this update, everything listed below is his merit :)
    * added reset settings for mangohud and vkbasalt
    * fixed mangohud preview if it is disabled
    * user.conf settings have been moved from the editdb settings and portproton settings,
    * a separate graphical interface has been made for user.conf, with the ability to launch settings from the main menu and when starting a game/program
    * added return to the main menu after creating a backup, winetricks, wine download, etc., and added return to the last active tabs
    * added intermediate returns (to the previous active window)
    * updated translations (Spanish, Russian)
    * added the ability to open the game/program directory from the settings tab
    * fixed the error of incorrect comments for the exe file
    * minor improvements and optimizations

###Scripts version 2343### / Date: 04.09.2024 / Download update size: 190 megabytes
* updated PROTON_LG to version "9-12"
* updated versions:
    * DXVK_GIT "2.4-37"
    * VKD3D_GIT "1.1-4167"
* improved support for flatpak version of PortProton for Alpine Linux (thanks to Boria138)
* fixed tray for WM: BSPWM (thanks to Htylol)
* fixed launch of some bat files (thanks to Htylol)

###Scripts version 2342### / stable / Date: 30.08.2024 / Download update size: 385 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2341### / Date: 30.08.2024 / Download update size: 4 megabytes
* minor improvements to the creation of shortcuts and icons
* HoYoPlay auto-installation updated (thanks Eljeyna)

###Scripts version 2340### / Date: 27.08.2024 / Download update size: 380 megabytes
* added the ability for standard installation to the prefix manager 
(without forced redownload of components)
* updated PROTON_LG to version "9-11"
* updated WINE_LG to version "9-12-2"
* the test WINE_LG_NTSYNC has been updated in the repositories to version "9-13-2"
* improved function for preparing "DOTNET" and "PROGRAMS" prefixes
* fixed the need to restart vkPlay after changing the WINE version and updating the prefix
* added settings files for games (thanks Mels):
    * Heavy Rain
    * Beyond Two Souls
    * Assassins Creed Origins

###Scripts version 2339### / Date: 25.08.2024 / Download update size: 180 megabytes
* libs_v49 library package updated (sniper container 0.20240820.99315)
* minor improvements and optimizations (thanks to Htylol)

###Scripts version 2338### / Date: 12.08.2024 / Download update size: 4 megabytes
* updated lists of contributors in "PORTPROTON SETTINGS" --> "Authors and acknowledgments"
* added the ability to run .reg files (thanks Boria138)
* added icons for msi, bat and reg files (thanks to Dervart)
* fixed GUI alignment for XFCE (thanks to Htylol)
* added automatic disabling of downloading covers for STEAM if there
is no access to the covers server

###Scripts version 2337### / Date: 09.08.2024 / Download update size: 4 megabytes
* fixed GUI alignment on SteamDeck (thanks to Htylol)
* added .bat file association (thanks to Boria138)
* added settings file for Vortex Mod Manager (thanks Eljeyna)
* fixed creation of an extra shortcut for LGC and WGC launchers

###Scripts version 2336### / stable / Date: 08.08.2024 / Download update size: 4 megabytes
* improved verification of downloaded files

###Scripts version 2335### / stable / Date: 07.08.2024 / Download update size: 4 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2334### / Date: 07.08.2024 / Download update size: 4 megabytes
* service information has been transferred to pop-up notifications (thanks to Htylol, Xpamych, Dervart)
* added the ability to use pop-up notifications in flatpak (thanks to Boria138)
* added the ability to download experimental WINE_LG_NTSYNC
* added settings files for games (thanks to Eljeyna):
    * Act of War - Direct Action
    * Act of War - High Treason 

###Scripts version 2333### / Date: 06.08.2024 / Download update size: 4 megabytes
* changed the download source from CDN to the project server cloud.linux-gaming.ru (thanks Xpamych)

###Scripts version 2332### / Date: 05.08.2024 / Download update size: 4 megabytes
* fixed display of icons for renamed shortcuts (thanks to Arta48)
* general optimization of scripts (thanks to Htylol)
* added/updated settings files for games:
    * Star Wars Bounty Hunter (thanks to Eljeyna)
    * Beyond Divinity (thanks to Alek V and Eljeyna)
    * Street Fighter V (thanks Mels)

###Scripts version 2331### / Date: 01.08.2024 / Download update size: 4 megabytes
* fixed downloading of third-party versions of wine registered in the game/program settings file
* Added audio driver selection to settings (thanks Boria138)
* added comment for EVE Online (thanks Boria138)
* improved icon creation functions (thanks to Htylol)
* improved log creation mode (thanks to Htylol)
* fixed deletion of shortcuts containing spaces (thanks to Htylol)
* added/updated settings files for games:
    * FarCry 4 (thanks Alek V and Mels)
    * Resident Evil 7: Biohazard (thanks Mels)
    * Horizon Forbidden West (thanks Mels)
    * Bright Memory Infinite (thanks Eljeyna)
    * Lord of The Rings: Battle for MiddleEarth (thanks to user1)
    * Apollo Justice: Ace Attorney Trilogy (thanks SDR)

###Scripts version 2330### / Date: 30.07.2024 / Download update size: 4 megabytes
* updated tray based on libayatana-appindicator (thanks to Htylol)
* added win11 selection to settings (thanks Boria138)
* improved creation of icons for shortcuts (thanks Boria138)
* fixed deletion of disks added manually (thanks to Boria138)
* updated yad version to improve interface (thanks to Htylol)
* fixed deletion when duplicate shortcuts exist (thanks to Htylol)
* added settings file for all GamesVoice files (thanks to SDR)

###Scripts version 2329### / Date: 26.07.2024 / Download update size: 4 megabytes
* created a new tray based on libayatana-appindicator (thanks to Htylol)
* improved automatic creation of shortcuts by checking "create shortcut" in the installer itself (thanks to Boria138 and Htylol)
* plugins package updated to version 17

###Scripts version 2328### / Date: 25.07.2024 / Download update size: 4 megabytes
* updated icon for setup files (thanks to Dervart)
* fixed interface alignment for KDE
* added automatic creation of shortcuts by checking "create shortcut" in the installer itself (thanks to Boria138 and Htylol)
* settings file editor switched to yad (thanks to Htylol)

###Scripts version 2327### / stable / Date: 25.07.2024 / Download update size: 4 megabytes
* cumulative update to the stable version of PortProton scripts

###Scripts version 2326### / Date: 24.07.2024 / Download update size: 4 megabytes
* updated README.md (thanks Kazevic)
* user.conf editor switched to yad (thanks to Htylol)
* fixed disk mounting in dosdevice (thanks to Boria138)
* added drive S which always links to the directory with games in STEAM (for easy installing mods in games from the STEAM library)

###Scripts version 2325### / Date: 22.07.2024 / Download update size: 4 megabytes
* updated Caliber auto-installation
* fixed Yabause icon display
* fixed adding icons when creating a shortcut to the steam library (thanks to Boria138)
* updated gamescope settings window (thanks to Htylol)
* updated language selection function (thanks to Htylol)
* fix icon creation on systems using SELinux (thanks to Boria138)

###Scripts version 2324### / Date: 18.07.2024 / Download update size: 4 megabytes
* updated Russian translation (thanks to Eljeyna)

###Scripts version 2323### / Date: 17.07.2024 / Download update size: 4 megabytes
* updated Russian translation (thanks to Eljeyna and Alek V)
* updated function for downloading covers to the STEAM library (thanks to Boria138)
* added saving the choice where to create a shortcut (thanks to Htylol)
* added/updated settings files for games (thanks Mels):
    * Bioshock Remastered,
    * Bioshock 2 Remastered,
    * Teenage Mutant Ninja Turtles,
    * Teenage Mutant Ninja Turtles 2: Battle Nexus,
    * Alan Wake Remastered
    * Halo Infinite,
    * The Matrix: Path of Neo,
    * Persona 4 Golden,
    * Dying Light,
    * Halo Infinite,
    * RoboCop Rogue City,
    * Need for Speed ​​- Hot Pursuit 2 (2002),
    * Resident Evil 4 Remake,
    * Plague Tale: Requiem,
    * Dishonored 2
    * The Witcher 3: Wild Hunt (Nextgen),
    * A Plague Tale: Innocence,
    * Far Cry 5 Gold Edition,

* added settings files for games (thanks Eljeyna):
    * Alone in the Dark (2024),
    * Animal Well.

###Scripts version 2322### / Date: 16.07.2024 / Download update size: 4 megabytes
* updated Spanish translation (thanks to BlackSnaker)
* Russian translation partially updated (thanks to Alek V)
* added NVAPI file comparison to prevent duplicate copying (thanks to Htylol)
* updated 3D Api functions for NVIDIA video cards (thanks to Htylol)
* shortcuts to the STEAM library are created with covers (thanks to Boria138)

###Scripts version 2321### / Date: 15.07.2024 / Download update size: 190 megabytes
* updated WINE_LG to version "9-12"
* updated versions:
    * DXVK_GIT "2.3.1-120"
    * VKD3D_GIT "1.1-4110"
* fixed the list of WINE versions if the dist directory is empty (thanks to Htylol)
* added winetricks translations (thanks to Htylol)
* added a description of the file system where the game is installed, PortProton and the temporary directory (thanks to Htylol)

###Scripts version 2320### / stable / Date: 15.07.2024 / Download update size: 4 megabytes
* fixed rare launch issue on SteamOS (thanks to Htylol)
* added system version detection when using flatpak (thanks to Htylol)
* added information about the current version of BRANCH to the interface header (thanks to Htylol)
* minor improvements and optimizations

###Scripts version 2319### Date: 14.07.2024 / Download update size: 4 megabytes
* added automatic rollback of script version when switching from DEVEL to STABLE

###Scripts version 2318### Date: 14.07.2024 / Download update size: 4 megabytes
* test DEVEL version

###Scripts version 2317### Date: 14.07.2024 / Download update size: 4 megabytes
* Added selection of STABLE and DEVEL versions to the PortProton settings interface

###Scripts version 2316### Date: 13.07.2024 / Download update size: 4 megabytes
* HOTFIX - start on some system

###Scripts version 2315### Date: 12.07.2024 / Download update size: 4 megabytes
* fixed the display of the PROTON_LG and WINE_LG versions in the absence of a settings file (thanks Htylol)
* added the ability to run debugging scripts from the terminal: portproton --debug (thanks to Boria138 and Htylol)
* fixed saving settings when launching shortcuts from the main menu
* fixed creation of shortcuts after installing the game/app from setup.exe

###Scripts version 2314### Date: 11.07.2024 / Download update size: 4 megabytes
* HOTFIX - create multiple shortcuts when unpacking a prefix backup
* fixed the disable of CAS in the vkBasalt menu (0 in the menu is -1 in the variable)
* fixed the auto-shutdown of the HoYoPlay launcher after the initial installation

###Scripts version 2313### Date: 11.07.2024 / Download update size: 4 megabytes
* added all gamescope settings to the interface (thanks Htylol)
* added the experimental ability to run the native version of wine-wayland with a third-party version of wine, which is compiled with this function (thanks Boria138)
* temporary files have been moved to the /tmp/PortProton directory (thanks Htylol)
* fixed language switching in games using .ini file (thanks by Eljeyna)
* Genshin Impact auto-installation changed to HoYoPlay
* fixed black screen in Steam PP
* updated dgVoodoo2 configuration interface (thanks by Htylol)
* updated gamescope setup interface (thanks by Htylol)
* fixed winecmd
* fixed creation of multiple shortcuts when setting up a prefix backup
* fixed auto-installation of World of Sea Battle
* minor improvements and optimizations (thanks to Boria138 and Htylol)

###Scripts version 2312### Date: 25.06.2024 / Download update size: 4 megabytes
* HOTFIX - error: "Argument list too long" 

###Scripts version 2311### Date: 24.06.2024 / Download update size: 4 megabytes
* updated version of yad - added auto-disabled for locked settings (thanks Htylol)
* additional small script optimizations (thanks Htylol)
* fixed a bug with localization variable substitution (thanks to Htylol and Boria138)

###Scripts version 2310### Date: 23.06.2024 / Download update size: 4 megabytes
* HOTFIX - create shortcut for .exe files

###Scripts version 2309### Date: 23.06.2024 / Download update size: 205 megabytes
* updated PROTON_LG to version "9-7"
* added the ability to run .exe files from the terminal with relative paths (thanks to Boria138)
* additional interface optimizations have been added (thanks to Htylol)
* yad version has been updated to version 14 - to improve interface settings (thanks Htylol)
* updated interface themes (thanks to Dervart and Htylol)
* added disabling incompatible settings with the "3D Api"
* fixed DLSS on NVIDIA RTX graphics cards
* when creating a shortcut, the paths to the STEAM library were returned to the scripts and exceptions were added for the games AC Valhalla and Valheim

###Scripts version 2308### Date: 18.06.2024 / Download update size: 187 megabytes
* updated WINE_LG to version "9-11"
* BattleNET auto-installation has been moved to a separate BATTLE_NET prefix

###Scripts version 2307### Date: 18.06.2024 / Download update size: 4 megabytes
* fixed auto-installation of Battle NET
* refactoring scripts to optimize the interface (thanks Htylol)
* replacing copying libraries into a prefix with creating symbolic links

###Scripts version 2306### Date: 14.06.2024 / Download update size: 4 megabytes
* the yad version has been updated to improve the interface settings (thanks Htylol)
* the language selection interface has been updated (thanks to Boria138)
* additional interface optimizations have been added (thanks to Htylol)
* updated themes (thanks to Dervart)
* added a HOTFIX to check installed plugins

###Scripts version 2305### Date: 12.06.2024 / Download update size: 183 megabytes
* ATTENTION: after updating the scripts, you need to restart PortProton once to download the new version of plugins!

* the plugins package has been updated to v16:
    * the yad version has been updated - many patches have been added to improve the interface (thanks Htylol)
    * information about the project has been fixed when hovering over the tray icon (thanks Htylol)
    * the exe launch interface has been updated, a tab with settings has been added (thanks Htylol)
    * creation of new prefixes has been accelerated (in 1.5 or more times, depending on the characteristics of the PC)
    * updated dxvk-nvapi to v0.7.0-5
    * added a portable version of icoextract for better extraction of icons from exe files (thanks to Boria138)

* updated versions:
    * DXVK_GIT "2.3.1-72"
    * VKD3D_GIT "1.1-4051"

* optimized the speed of switching PortProton interface settings
* added a symbolic link to the home directory for the flatpak version of PortProton
* Improved PortProton interface
* added theme: compact (thanks Htylol)
* added switching the view of the main exe launch interface and shortcuts in the menu "PortProton -> PortProton Settings -> Change the launch interface" (thanks Htylol)
* GameScope settings are placed in a separate window (for future functionality expansion)
* Improved the wine download interface and added the ability to select multiple versions at the same time
* many small improvements to the GUI and scripts

###Scripts version 2304### Date: 10.06.2024 / Download update size: 3 megabytes
* HOTFIX for ALT Linux + NVIDIA

###Scripts version 2303### Date: 06.06.2024 / Download update size: 190 megabytes
* updated WINE_LG to version "9-10"
* updated the GOG installer
* fixed the display of the correct icons.exe files

###Scripts version 2302### Date: 03.06.2024 / Download update size: 405 megabytes
* updated WINE_LG to version "9-9"
* updated PROTON_LG to version "9-5-1" (added patches to improve the operation of dualsense gamepads) 
* updated versions:
    DXVK_GIT "2.3.1-37"
    VKD3D_GIT "1.1-4022"
* fixed the launch of games on SteamDeck that worked only when launched from the "Desktop" (for such games, you need to recreate the shortcut in the STEAM library)

###Scripts version 2301### Date: 29.05.2024 / Download update size: 3 megabytes
* HOTFIX - running on some systems

###Scripts version 2300### Date: 29.05.2024 / Download update size: 3 megabytes
* added auto-installation of the Anomaly Zone game (thanks Chal55rus)
* improved the function of determining the name of the game/program (thanks Boria138)
* improved the operation of dgVoodoo 2 in broadcast mode in DX12/VKD3D (thanks Htylol)
* vkBasalt is disabled by default

###Scripts version 2299### Date: 12.05.2024 / Download update size: 3 megabytes
* added Spanish language (thanks BlackSnaker and Boria138)
* added auto-installation of the W3D_HUB launcher (thanks Chal55rus and Boria138)
* fixed PortProton shortcuts when installing from flathub
* added the priority of using icoextract when creating icons for .exe files (thanks Boria138)
* updated the settings file for the Deathloop game (thanks Eljeyna)
* refactoring of 3D Api functions (thanks Htylol)
* added settings DGV2_16 BIT_MODE, DGV2_VRAM_INCREASE, DGV2_FILTERING, DGV2_ANTIALIASING, DGV2_DISABLE_D3D (thanks Htylol)

###Scripts version 2298### Date: 09.05.2024 / Download update size: 3 megabytes
* HOTFIX - fixed preview of MANGOHUD settings when it is not in the system

###Scripts version 2297### Date: 09.05.2024 / Download update size: 3 megabytes
* the inclusion of dgvoodoo2 has been moved to the settings (for use in all 3D APIs, including translation to OpenGL) (thanks Htylol)
* fixed the joint launch of the system and portable versions of MANGOHUD and vkBasalt in flatpak (thanks Htylol)
* the ability to preview changes has been added to MANGOHUD settings (thanks to Boria138)
* the standard tray icon has been returned

###Scripts version 2296### Date: 08.05.2024 / Download update size: 3 megabytes
* fixed the joint launch of the system and portable versions of MANGOHUD and vkBasalt
* fixed resetting the screen refresh rate settings in XFCE
* improved the download function of third-party versions of WINE/PROTON
* minor script improvements

###Scripts version 2295### Date: 07.05.2024 / Download update size: 3 megabytes
* fixed the definition of a prefix if it is a symbolic link
* added the ability to force the use of DINPUT_PROTOCOL (thanks Eljeyna)
* added additional settings for dgVoodoo2 (thanks Htylol)

###Scripts version 2294### Date: 06.05.2024 / Download update size: 3 megabytes
* HOTFIX - definitions of the settings file used

###Scripts version 2293### Date: 06.05.2024 / Download update size: 3 megabytes
* multiple FPS limits have been added to MANGOHUD settings (thanks to Boria138)
* improved creation of a settings file for .exe files on first launch
* added automatic detection of the prefix from which the exe file is launched

###Scripts version 2292### Date: 04.05.2024 / Download update size: 3 megabytes
* added a forced language selection to the settings for .exe files (thanks to Boria138)
* added the ability to force the use of XINPUT in the settings for .exe files

###Scripts version 2291### Date: 03.05.2024 / Download update size: 3 megabytes
* added PortProton restart after creating a shortcut and when exiting the "cross" in the settings
* automated translation of all versions of DirectX + glide (3Dfx) to Vulkan (thanks Htylol)
* an experimental version of the 3D API has been added: Damavand (translation of wined3d to Vulkan)

###Scripts version 2290### Date: 30.04.2024 / Download update size: 3 megabytes
* fixed autoinstall for CALIBER

###Scripts version 2289### Date: 30.04.2024 / Download update size: 3 megabytes
* the selection of the legacy version of DXVK is combined with DGVOODOO2 (thanks Htylol)
* fixed caching of VKD3D shaders for DirectX 12 games (thanks Htylol)

###Scripts version 2288### Date: 27.04.2024 / Download update size: 3 megabytes
* refactoring of 3D API functions has been performed
* fixed the operation of PortProton in the absence of gettext.sh (thanks Boria138)
* fixed MANGOHUD working in 3D API mode: OpenGL (thanks Htylol)

###Scripts version 2287### Date: 26.04.2024 / Download update size: 3 megabytes
* HOTFIX - "DGVOODOO2"  (thanks Htylol)

###Scripts version 2286### Date: 25.04.2024 / Download update size: 3 megabytes
* fixed language switching in the absence of the "$LANG" variable in the system (some versions of Steam Deck)
* added the ability to use an outdated version of DXVK (for video cards supporting only Vulkan 1.1 version)

###Scripts version 2285### Date: 25.04.2024 / Download update size: 3 megabytes
* added the inclusion of "DGVOODOO2" in the "3D API" (thanks Htylol)
* improved archive unpacking function (thanks to Boria138)

###Scripts version 2284### Date: 23.04.2024 / Download update size: 240 megabytes
* added new functionality to the PortProton menu -> PORTPROTON SETTINGS -> Change Mirror (to switch downloads from CDN to GITHUB and back)
* updated WINE_LG to version 9-7
* updated PROTON_LG to version "9-4"
* updated versions:
    DXVK_GIT "2.3.1-9"
    VKD3D_GIT "1.1-3980"
* fixed the Cats Launcher installer (Front Edge)
* moved choose of "GALLIUM_ZINK" in the "3D API" (thanks Htylol)
* updated PortProton animations (thanks Dervart)

###Scripts version 2283### Date: 22.04.2024 / Download update size: 12 megabytes
* global optimization of scripts has been performed
* added auto-installation of the game "Russian Fishing 4" (thanks to Boria138)
* moved the localization method from variables to .po files (makes it possible to translate into any language)
Special thanks:
    Boria138 - for help in the localization transition to .po files
    Alex V.   - for most of the localization into Russian
    chal55rus - for the operational test and finding problems in translation
    Xpamych, Vano, Dervart, Boria138 - for help in editing the translation

###Scripts version 2282### Date: 19.04.2024 / Download update size: 15 megabytes
* fixed downloading required versions of WINE from SteamDeck gaming mode
* improved functions related to the work of flatpak (thanks to Boria138)
* fixed the creation and unpacking of prefixes
* added the MESA_GL_VERSION_OVERRIDE version selection to the startup settings .exe files (thanks Htylol)

###Scripts version 2281### Date: 18.04.2024 / Download update size: 15 megabytes
* the PortProton script update window has been updated
* icons for the interface have been translated from png to svg (thanks to Dervart)
* fixed the native version of PortProton on SteamDeck (We strongly recommend switching to the flatpak version for SteamDeck!)

###Scripts version 2280### Date: 16.04.2024 / Download update size: 15 megabytes
* minor fixes for SteamDeck + flatpak

###Scripts version 2279### Date: 16.04.2024 / Download update size: 15 megabytes
* improvements to the flatpak version of PortProton:
    - fixed running games on SteamDeck in gaming mode
    - disabled downloading of the steam runtime container (reduces the size of the installed PortProton)
    - improved the function of detecting GALLIUM_NINE libraries
* ATTENTION: Do not use flatpak and the native version of PortProton on the same system!

###Scripts version 2278### Date: 15.04.2024 / Download update size: 15 megabytes
* changed function for prefix update

###Scripts version 2277### Date: 15.04.2024 / Download update size: 15 megabytes
* HOTFIX for AUTOINSTALL
* HOTFIX - remember choose version of WINE

###Scripts version 2276### Date: 14.04.2024 / Download update size: 15 megabytes
* HOTFIX for SteamDeck

###Scripts version 2275### Date: 14.04.2024 / Download update size: 175 megabytes
* all archives of wine libraries and versions have been moved to CDN (download speed correction)
* the libs_v48 library package has been updated
* added Russian language support in Steam Deck game mode
* fixed the operation of Sony Playstation gamepads (thanks Ardash for identifying the problem)
* fixed the work of the latest versions of SVN on NVIDIA 550+ drivers (problems are still possible with MANGOHUD)
* updated icons in the AUTO-INSTALLATION tab (thanks Dervart)
* added color detection of the system theme to change the tray icon (thanks to Boria138 and Dervart)
* added support for disabling deepin compositing (thanks Boria138)
* fixed GALLIUM_NINE in flatpak (thanks Boria138)

###Scripts version 2274### Date: 07.04.2024 / Download update size: 15 megabytes
* added the previous theme for PortProton, enabled by adding "export GUI_THEME=classic" to "data/user.conf"

###Scripts version 2273### Date: 06.04.2024 / Download update size: 15 megabytes
* the PortProton interface has been updated
* improved the quality of the tray icon
* added the CatsLauncher (the Front Edge game) to the AUTOINSTALL
* added initial support .css (GTK+)
* updated DOTNET prefix

###Scripts version 2272### Date: 04.04.2024 / Download update size: 15 megabytes
* script refactoring:
 - yad_gui script combined with functions_helper
 - runlib script combined with start.sh
 - all functions from runlib, yad_gui and start.sh moved to functions_helper
* fixed winetricks update on some systems (thanks to Boria138)
* when cleaning the prefix, Common Files directories are not deleted from Program Files (to save vst libraries)
* updated the interface software (yad) to version 13.0 with Cyrillic support by default

###Scripts version 2271### Date: 03.04.2024 / Download update size: 15 megabytes
* improved interface of the prefix manager (xterm has been replaced with the standard PortProton interface)
* fixed the launch of the game "Dragon Age: Origin" from EAapp
* many small script improvements

###Scripts version 2270### Date: 31.03.2024 / Download update size: 15 megabytes
* added support for the game Horizon Forbidden West (to apply, you need to run the exe of the game and select SETTINGS -> RESET SETTINGS)
* fixed the operation of WINE from Kron4ek and returned the ability to download it using GET-OTHER-WINE
* fixed the launch of GET-OTHER-WINE (the interface for downloading third-party versions of WINE-PROTON) when launching exe files

###Scripts version 2269### Date: 29.03.2024 / Download update size: 15 megabytes
* added improvements when using the system WINE
* the preparation of PortProton scripts for working in flatpak has been completed

###Scripts version 2268### Date: 27.03.2024 / Download update size: 15 megabytes
* fixed the launch of some 32-bit games on the DEFAULT prefix. Examples:
    LEGO Marvel Super Heroes
    LEGO The Lord Of The Rings
    LEGO Star Wars - The Clone Wars
    Warhammer 40,000 Space Marine
    Star Wars The Force Unleashed
    Wolverine

###Scripts version 2267### Date: 27.03.2024 / Download update size: 15 megabytes
* implemented a twofold acceleration of prefix updates on all systems
* improved the functionality of settings for exe files (EDIT_DB)
* fixed the automatic installation of BattleNET

###Scripts version 2266### Date: 26.03.2024 / Download update size: 185 megabytes
* HOTFIX - download plugins from GITHUB

###Scripts version 2265### Date: 26.03.2024 / Download update size: 570 megabytes
* the faudio component has been added to the DEFAULT prefix (required for games running on the Creation Engine, example The Elder Scrolls)
* the plugins_v14 library package has been updated:
    transferred from the libs package: d3d_extras, reshade and default_pfx
    portable versions have been added: yad_gui_pp, perl, exiftool (thanks to Boria138)
* the libs_v47 library package has been updated:
    pressure-vessel 0.20240306.0
    sniper 0.20240307.80401
* updated PROTON_LG to version "9-2"
* updated versions:
    DXVK_GIT "2.3.1"
    VKD3D_GIT "1.1-3973"
* added saving of settings changes to EDIT_DB when using the "OPEN SETTINGS FILE" button
* improved support for the PortProton test build in flatpak
* many small script improvements

###Scripts version 2264### Date: 15.03.2024 / Download update size: 15 megabytes
* added the option to end the first PortProton session when starting the second
* added auto-installation of the game "Pulse Online"

###Scripts version 2263### Date: 15.03.2024 / Download update size: 15 megabytes
* the lock file of the second session has been moved to "/tmp/portproton.lock"
* when starting from the terminal, it is clearly indicated that the lock file and its location have been found

###Scripts version 2262### Date: 14.03.2024 / Download update size: 230 megabytes
* added a warning when starting the second PortProton session
* added the ability to disable the container
* added the ability to use system WINE
* updated PROTON_LG to version 9-1
* updated versions:
    DXVK_GIT "2.3-90"
    VKD3D_GIT "1.1-3954"
* fixed installation of libraries from the prefix manager on openSUSE OS (thanks to Boria138)
* a separate version of PROTON is no longer required for Black Desert Online

###Scripts version 2261### Date: 07.03.2024 / Download update size: 15 megabytes
* HOTFIX - use settings from Black Desert Online launcher

###Scripts version 2260### Date: 07.03.2024 / Download update size: 15 megabytes
* added Black Desert Online to AUTOINSTALL
* fixed the prefix filling request while using the automatic installation of desktop games/launchers

###Scripts version 2259### Date: 06.03.2024 / Download update size: 15 megabytes
* the PortProton update feature has been fixed for Steam Deck in Gaming Mode (the current update needs to be installed from desktop mode)

###Scripts version 2258### Date: 06.03.2024 / Download update size: 15 megabytes
* fixed saving complex arguments for an exe file (example: "- /B/TX /lang:01 /tex:1 /spg:50 KingKongTheGame.bf")
* added automatic recovery shortcut to the menu for Steam Deck after SteamOS update (it is necessary to launch PP with any other shortcut of any game, or from Gaming Mode)
* the use of gamemode is disabled for Steam Deck in Gaming Mode (the session itself uses the pre-installed gamemode in SteamOS)

###Scripts version 2257### Date: 15.02.2024 / Download update size: 15 megabytes
* for all setup.exe is automatically selected by WINE_LG (corrects errors unarc.dll )
* added a function to disable compositing (thanks to Boria138)
* improved prefix update function
* many small script improvements

###Scripts version 2256### Date: 13.02.2024 / Download update size: 15 megabytes
* updated WINE_LG to version 9-2
* updated versions:
    D8VK "1.7.1-2367"
    DXVK_GIT "2.3-57"
    VKD3D_GIT "1.1-3908"
* fixed FAKE_DLSS in some games (CyberFSR project)
* improved download functions
* for Steam Deck, the launch of some games has been fixed only from the second time

###Scripts version 2255### Date: 12.02.2024 / Download update size: 15 megabytes
* the portable versions of MANGOHUD and GAMESCOPE are disabled for Steam Deck in Gaming Mode
* small additional script improvements

###Scripts version 2254### Date: 11.02.2024 / Download update size: 15 megabytes
* PortProton interface restart has been accelerated
* added priority for using the system gamemode if it is installed (thanks to Boria138)
* updated startup, update and unpacking animations (thanks to WEBMAS and Dervart)
* checking the PortProton update on Steam Deck occurs only in desktop mode

###Scripts version 2253### Date: 10.02.2024 / Download update size: 8 megabytes
* minor fixes for SteamOS

###Scripts version 2252### Date: 09.02.2024 / Download update size: 33 megabytes
* GUI has been completely translated from zenity to yad
* download from wget has been switched to curl (improved download stability with some providers)
* improved graphics in games are enabled by default (turned off by pressing: "HOME")
* Cyrillic check in paths with a warning has been added
* fixed the work of zink in x11 in new versions of mesa (thanks Htylol)
* improved the work of FAKE_DLSS (CyberFSR project)
* added a setting for enabling FAKE_DLSS_3 (experimental dlssg-to-fsr3 project)
* updated the plugins package to version v13
* updated GALLIUM_NINE version to 0.9
* updated NVAPI version to 0.6.4-20

###Scripts version 2251### Date: 02.02.2024 / Download update size: 8 megabytes
* HOTFIX - fixed automatic closing of EAapp after its installation

###Scripts version 2250### Date: 02.02.2024 / Download update size: 8 megabytes
* fixed prefix adjustment and updating when starting from steam
* fixed unpacking of WINE archives when starting from steam
* significantly improved PP integration when launching from steam (ALL launchers should work)
* fixed a rare League of Legends installation error
* vkPlay installation has been updated
* Electronic Arts App auto-installation has been returned
* minor improvements to the 3D API customization feature

###Scripts version 2249### Date: 30.01.2024 / Download update size: 8 megabytes
* added a unique name to launch Crossout (requires restarting the auto-installation)
* fixed installation of the Project64 emulator
* removed DuckStation, ScummVM, RPCS3 emulators (it is recommended to use native versions for Linux)
* improved MANGOHUD configuration functions (thanks to Boria138)
* minor additional localization and script improvements

###Scripts version 2248### Date: 26.01.2024 / Download update size: 8 megabytes
* creating a shortcut in the "MENU -> Games" is separate from creating on the "Desktop"
* added a condition for using fonts from WINE Proton only if there are no original fonts in the prefix
* fixed the choice of installing libraries in the PortProton prefix manager
* the creation of symlinks in PortProton has been transferred from direct paths to relative ones
* added the "VKBASALT_USER_CONF" setting to use vkBasalt system settings (thanks Arta48)
* updated the "EVE Online Launcher" installer to the current version (thanks cefeiko)

###Scripts version 2247### Date: 23.01.2024 / Download update size: 8 megabytes
* improved operation of the portable version of gamemode
* added cleaning of the data/tmp directory from broken (undocumented) archives before launching PortProton

###Scripts version 2246### Date: 20.01.2024 / Download update size: 8 megabytes
* HOTFIX - fixed the launch of Modern Warships after its update
* HOTFIX - fixed launch with gamescope
* the REDUCE_PULSE_LATENCY variable was returned to the settings when running on wayland
* by default, when creating a shortcut, the option "create a shortcut for STEAM" is deselected
* the PW_RESTORE_RESOLUTION setting is replaced with an automatic return to the original resolution of the main monitor after the game is completed
* improved automatic font size adjustment in MANGOHUD (when using more than one monitor)

###Scripts version 2245### Date: 19.01.2024 / Download update size: 350 megabytes
* updated WINE_LG to version 9-0 and added fonts from proton steam
* The libs_v46 container library package has been updated
* updated MANGOHUD to version 0.7.0 in the container (thanks to Boria138)
* fixed the display of gamemode in MANGOHUD (thanks to Boria138)
* improved the functionality of selecting an nvidia graphics card with hybrid graphics
* added auto-installation of the Modern Warships game (thanks to ValoKarDin)
* the auto installer has been updated and the GOG Galaxy launcher has been fixed 
* the auto installer has been updated and the operation of the CALIBER game has been fixed

###Scripts version 2244### Date: 14.01.2024 / Download update size: 8 megabytes
* updated PROTON_LG to version 8-25-2 (added fonts from proton steam)
* fixed the display of the script version after reinstalling PortProton from the settings of the PortProton itself

###Scripts version 2243### Date: 12.01.2024 / Download update size: 8 megabytes
* HOTFIX: Fixed spontaneous prefix switching when using the MANGOHUD configuration interface

###Scripts version 2242### Date: 11.01.2024 / Download update size: 8 megabytes
* added a graphical interface for configuring MANGOHUD (thanks to Boria138)
* updated versions:
    DXVK_GIT_VER 2.3-26
    VKD3D_GIT_VER 1.1-3821

###Scripts version 2241### Date: 28.12.2023 / Download update size: 8 megabytes
* HOTFIX - VKD3D 

###Scripts version 2240### Date: 28.12.2023 / Download update size: 8 megabytes
* the variable "DX12_DISABLE" has been removed from EDIT_DB (deprecated function)
* Vulkan driver verification has been transferred to the log creation mode
* updated the version check of the World Of Sea Battle game before installation
* The Wayland warning has been removed
* added the variable "PW_RESTORE_RESOLUTION" to EDIT_BD (thanks to Boria138)

###Scripts version 2239### Date: 17.12.2023 / Download update size: 8 megabytes
* fixed the launch of League of Legends (to fix it, run the auto-installation)
* added correct verification of the vulkan driver, without installing vulkan-tools into the system
* implemented automatic addition of mounted disks to the prefix (thanks to Boria138)
* fixed the launch of GAMESCOPE when there are several NVIDIA graphics cards in the system (thanks to Vano)

###Scripts version 2238### Date: 12.12.2023 / Download update size: 8 megabytes
* fixed GAMESCOPE and vkBasalt collaboration
* optimized prefix creation and updating
* fixed disabling MANGHUD in settings
* added a reset button in the settings when launching the exe (to restore the default settings)
* added a forced display of the exe file launch settings when launching a shortcut from the PortProton interface
* added tooltips in the emulator installation tab (thanks Akai)
* added a warning if there is no working Vulkan driver (thanks to Boria138)

###Scripts version 2237### Date: 08.12.2023 / Download update size: 8 megabytes
* combined the inclusion of MANGOHUD in the settings (32-bit and 64-bit)
* fixed vkBasalt working with gamescope
* fixed the launch of some games that worked only in the DEBUG mode
* fixed the choice of video card when launching from gamescope (thanks to Boria138)
* new versions of wine are downloaded only if it is selected after launch, and not before launching PortProton

###Scripts version 2236### Date: 07.12.2023 / Download update size: 8 megabytes
* the ability to enable GAMESCOPE has been added to the settings before starting the game (provided that it is installed on the system)
* the installation of the Citra emulator has been fixed

###Scripts version 2235### Date: 06.12.2023 / Download update size: 8 megabytes
* Fixed the missing osu icon! in the list of installed applications
* updated Panzar auto-installation and fixed icon creation
* updated GOG Galaxy
 - auto-installation - added automatic detection of the current version for installation
 - installation is performed in a separate GOG prefix
 - auto-installation is performed again in silent mode (no questions asked)

###Scripts version 2234### Date: 03.12.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-25-1 (fixed BattleNET)
* fixed the creation of shortcuts to STEAM in the absence of shortcuts.vdf file
* fixed the creation of icons for standard shortcuts (thanks Arta48)
* added the ability to create ppdb files for symbolic links (fix for the same exe file names)
* created individual settings files for games:
 - Genshin Impact
 - Warframe
 - Rockstar
(the application requires restarting the auto-installation of the required game)

###Scripts version 2233### Date: 26.11.2023 / Download update size: 8 megabytes
* HOTFIX - create shortcut to STEAM

###Scripts version 2232### Date: 26.11.2023 / Download update size: 8 megabytes
* added choose video card in settings (thanks Boria138)
* added create shortcut to STEAM (Thanks: Akai, Boria138, Cefeiko, Vano, redroot, project steamtinkerlaunch and set -x)
* minor updated

###Scripts version 2231### Date: 24.11.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-24
* updated autoinstall: World of Sea Battle x64 (thanks Iglu47 and Cefeiko)

###Scripts version 2230### Date: 10.11.2023 / Download update size: 8 megabytes
* minor update

###Scripts version 2229### Date: 08.11.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-22
* updated versions:
    DXVK_GIT_VER 2.3-13
    VKD3D_GIT_VER 1.1-3727
* added the inclusion of USE_GALLIUM_ZINC providing the ability to translate OpenGL to Vulkan (thanks Htylol)
* improved information content and readability of logs (thanks Boria138)


###Scripts version 2228### Date: 02.11.2023 / Download update size: 8 megabytes
* improved definition of RTX series graphics cards
* fixed hybrid graphics on some laptop configurations (but not yet on all)

###Scripts version 2227### Date: 22.10.2023 / Download update size: 520 megabytes
* updated PROTON_LG to version 8-20 (LGC and WGC no longer require a separate version of WINE)
* updated WINE_LG to version 8-18 (improved operation of vkPlay games: fixed videos in Atomic Heart TVs, the game Kuzhlevka works)
* the libs_v44 library package has been updated:
    pressure-vessel 0.20230928.1
    sniper 0.20231005.62324
    reduced the size of the archive with libraries
* accelerated prefix creation and updating
* test: added driver selection for AMD (thanks to Boria138)
* minor additional script improvements

###Scripts version 2226### Date: 09.10.2023 / Download update size: 8 megabytes
* updated autoinstall scripts (thanks Boria138)
* minor improvements

###Scripts version 2225### Date: 08.10.2023 / Download update size: 8 megabytes
* improved log creation mode
* the inclusion of "USE_SYSTEM_VK_LAYERS" has been added to the "SETTINGS" tab, which makes it possible to use the system mangohud, vkBasalt, obs-vkcapture and others
* the inclusion of "USE_OBS_VKCAPTURE" has been added to the "SETTINGS" tab, which makes it possible to write to OBS Studio using obs-vkcapture (ATTENTION: the forced use of system mangohud, vkBasalt, obs-vkcapture and other applications using vulkan layers will be enabled)
* updated autoinstall for League of Legends

###Scripts version 2224### Date: 28.09.2023 / Download update size: 210 megabytes
* global cleaning of database files (thanks to Boria138)
* updated PROTON_LG to version 8-17 (fixed community and support tabs in the Genshin Impact game)
* accelerated search nvngx.dll when NVAPI and DLSS are enabled
* added a check to run the .desktop file of a non-existent application

###Scripts version 2223### Date: 23.09.2023 / Download update size: 8 megabytes
* updated DOTNET prefix
* blocked use USE_US_LAYOUT under Wayland

###Scripts version 2222### Date: 22.09.2023 / Download update size: 8 megabytes
* HOTFIX: update prefix
* WGC and LGC are set in separate prefixes
* fixed clearing the DOTNET prefix
* minor changes to the WINE settings tab
* fixed the function of forcing the use of the English layout

###Scripts version 2221### Date: 19.09.2023 / Download update size: 230 megabytes
* updated PROTON_LG to version 8-15-1 (fix update prefix)
* added (спасибо Boria138)
	REDUCE_PULSE_LATENCY - 'Reduce pulseaudio latency to fix intermittent sound'
	USE_US_LAYOUT - 'Forced use of the us layout (useful for games in which the control works correctly only on the us layout)'

###Scripts version 2220### Date: 17.09.2023 / Download update size: 260 megabytes
* HOTFIX: Plarium Play
* HOTFIX: World of Warships
* updated versions:
    DXVK_GIT_VER 2.3-5
    VKD3D_GIT_VER 1.1-3622
* updated PROTON_LG to version 8-15

###Scripts version 2219### Date: 03.09.2023 / Download update size: 8 megabytes
* HOTFIX: Starfield
* FIX: installing dotnet 4.6.1 for Plarium Play

###Scripts version 2218### Date: 03.09.2023 / Download update size: 8 megabytes
* improved verification of RTX 4000 series video cards
* added a check for NVIDIA + intel/amd hybrid graphics (thanks to Boria138)
* added the variable __VK_LAYER_NV_optimus=NVIDIA_only when PRIME_RENDER_OFFLOAD is enabled (thanks to Boria138)
* deleting previous versions of lib and plugins occurs only when new versions are downloaded successfully (if there are problems with downloading, you can skip and use PP with previous versions of libraries)
* by default, PROTON_LG and WINE_x.x_LG are selected
* added the ability to use stable versions of DXVK and VKD3D by default (by adding export PW_VULCAN_USE=1 to user.conf)

###Scripts version 2217### Date: 31.08.2023 / Download update size: 8 megabytes
* the latest versions of DXVK and VKD3D are selected by default

###Scripts version 2216### Date: 30.08.2023 / Download update size: 650 megabytes
* updated PROTON_LG to version 8-14
    there is no extra symbol on the screen when starting STEAM_PP
    fixed installation of Battle NET (again)
* updated versions:
    DXVK_STABLE_VER="2.2-34"
    DXVK_GIT_VER="2.2-164"
    VKD3D_STABLE_VER="1.1-3445"
    VKD3D_GIT_VER="1.1-3556"
* Updated libs_v44 library package:
    pressure-vessel 0.20230718.0
    sniper 0.20230718.55074
* added automatic detection of NVIDIA RTX graphics cards (thanks to Boria138)
* added automatic activation of DLSS and RAY TRACING support for NVIDIA RTX graphics cards
* added check Vulkan API version

###Scripts version 2215### Date: 18.08.2023 / Update download size: 8 megabytes.
* added script mirror: https://gitlab.eterfund.ru/Castro-Fidel/
* creation of third-party (non-working) shortcuts by means of wine is disabled (when using wine versions other than proton)

###Scripts version 2214### Date: 04.08.2023 / Update download size: 250 megabytes.
* updated PROTON_LG to version 8-11

###Scripts version 2213### Date: 03.08.2023 / Update download size: 250 megabytes.
* updated PROTON_LG to version 8-10
* an update from Boria138 has been adopted and finalized, adding a setting for limiting the use of CPU cores. (WINE_CPU_TOPOLOGY)
* added a fix that significantly reduces the CPU load and increases FPS in Unity games (assuming more than 8 logical processor cores)
* fixed changing and disabling FPS cutting

###Scripts version 2212### Date: 01.08.2023 / Update download size: 10 megabytes.
* added D8VK (DirectX 8 to Vulkan API)

###Scripts version 2211### Date: 31.07.2023 / Update download size: 9 megabytes.
* fix: League Of Legends (updated WINE_LOL_GE_8.12)
* updated README in GitHub (thanks Boria138)

###Scripts version 2210### Date: 28.07.2023 / Update download size: 9 megabytes.
* fix install and run (need tests):
    BattleNET
    STEAM_PP
* minor scripts changes

###Scripts version 2209### Date: 26.07.2023 / Update download size: 9 megabytes.
* added "Battle Of Space Raiders" autoinstall (thanks Boria138)
* minor improvements by Boria138
* disabled EAC and BE for autoinstall
* HOTFIX - fixed issues on some systems when using PROTON_LG_8-X

###Scripts version 2208### Date: 24.07.2023 / Update download size: 9 megabytes.
* added rename shortcut (thanks Maks1mS)
* minor improvements by Boria138
* fix installing: Genshin Impact

###Scripts version 2207### Date: 23.07.2023 / Update download size: 250 megabytes.
* updated PROTON_LG_8-6 (with MONO 8.0)
* updated DXVK_GIT_VER="2.2-137"
* updated VKD3D_GIT_VER="1.1-3516"

###Scripts version 2206### Date: 07.07.2023 / Update download size: 250 megabytes.
* updated PROTON_LG_8-6 (with MONO 8.0)
* updated DXVK_GIT_VER="2.2-116"
* updated VKD3D_GIT_VER="1.1-3488"
* added Guild Wars 2 to autoinstall

###Scripts version 2205### Date: 01.07.2023 / Update download size: 240 megabytes.
* updated PROTON_LG_8-4
* with the PROTON_LG_8-4 version, the "World of Ships" game is working again
* with the PROTON_LG_8-4 version, the "Ubisoft Connect" is working again

###Scripts version 2204### Date: 29.06.2023 / Update download size: 9 megabytes.
* update localization
* minor fixes for installing LGC and WGC

###Scripts version 2203### Date: 23.06.2023 / Update download size: 9 megabytes.
* minor fixes for installing Battle.net

###Scripts version 2202### Date: 15.06.2023 / Update download size: 9 megabytes.
* added Genshin Impact (again)
* fix: download PROTON-GE

###Scripts version 2201### Date: 12.06.2023 / Update download size: 9 megabytes.
* improved readability of the output when running portproton from the terminal 
* fixed the launch of the game World of Sea Battle
* added the selection of the settings file before launching setup.exe
